---
- name: add unstable repositories
  apt_repository:
    repo: deb https://deb.debian.org/debian/ unstable main
    state: present

- name: configure apt pinning for unstable
  copy:
    src: apt-preferences-unstable
    dest: /etc/apt/preferences.d/limit-unstable

- name: install wireguard
  apt:
    name:
      - resolvconf
      - wireguard
    update_cache: yes
    state: present
